<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:lang_management" pagination="1" prefix="lang"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
  			//do not rename - this function is used in default grid for double click!
  			function edit()
  			{
  				std_edit_item('lang', 'regional/languages_edit');
  			}

  			var a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_ToolTip_NewLanguage" escape="1"/>::<inp2:m_phrase label="la_Add" escape="1"/>',
						function() {
							std_precreate_item('lang', 'regional/languages_edit')
						} ) );

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_Edit" escape="1"/>', edit) );
				a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function() {
							std_delete_items('lang')
						} ) );


				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
							show_viewmenu(a_toolbar,'view');
						}
				) );

				a_toolbar.Render();
			</script>
		</td>
		<inp2:m_RenderElement name="search_main_toolbar" prefix="lang" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_RenderElement name="grid" PrefixSpecial="lang" IdField="LanguageId" grid="LangManagement" menu_filters="yes"/>
<script type="text/javascript">
	Grids['lang'].SetDependantToolbarButtons( new Array('edit','delete','setprimary','export_language') );
</script>

<inp2:m_if check="m_Recall" var="RefreshTopFrame" value="1">
<script type="text/javascript">
	getFrame('head').location.reload();
	<inp2:m_RemoveVar var="RefreshTopFrame"/>
</script>
</inp2:m_if>

<inp2:m_include t="incs/footer"/>